.tabsBcWrp {
  position: relative;
  width: 100%;
  display: flex
}

.tabsBcWrp.type1 {
  height: 46px
}

.tabsBcWrp.type1 .tabsBcItemTxt {
  color: rgba(var(--b-sc), .5)
}

.tabsBcWrp.type1 .tabsBcItem {
  border-bottom: 1px solid rgba(var(--b-sc), .1)
}

.tabsBcWrp.type1 .tabsBcItem.active .tabsBcItemTxt {
  color: rgba(var(--b-sc), 1)
}

.tabsBcWrp.type1 .tabItemBg {
  bottom: 0;
  height: 2px;
  border-radius: 6px 6px 0 0;
  background-color: rgba(var(--hero), 1)
}

.tabsBcWrp.type2 {
  height: 32px;
  background-color: rgba(var(--b-sc), .15);
  border-radius: 6px
}

.tabsBcWrp.type2 .tabsBcItemTxt {
  color: rgba(var(--hero-sc), .5)
}

.tabsBcWrp.type2 .tabsBcItem.active .tabsBcItemTxt {
  color: rgba(var(--hero-sc), 1)
}

.tabsBcWrp.type2 .tabItemBg {
  top: 0;
  height: 100%;
  border-radius: 6px;
  background-color: rgba(var(--hero), 1)
}

.tabItemBg {
  position: absolute;
  transform: translate(-100%);
  pointer-events: none;
  transition: transform .24s
}

[dir=ltr] .tabItemBg {
  left: 0
}

[dir=rtl] .tabItemBg {
  right: 0
}

.tabsBcItem {
  position: relative;
  flex: 1;
  min-width: 0;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 6px;
  z-index: 1
}

[class*=is-web] .tabsBcItem:hover {
  cursor: pointer
}

.tabsBcItem:nth-child(1):nth-last-child(2).active~.tabItemBg {
  width: 100%;
  transform: translate(0)
}

.tabsBcItem:nth-child(1):nth-last-child(3).active~.tabItemBg {
  width: 50%;
  transform: translate(0)
}

.tabsBcItem:nth-child(2):nth-last-child(2).active~.tabItemBg {
  width: 50%
}

[dir=ltr] .tabsBcItem:nth-child(2):nth-last-child(2).active~.tabItemBg {
  transform: translate(100%)
}

[dir=rtl] .tabsBcItem:nth-child(2):nth-last-child(2).active~.tabItemBg {
  transform: translate(-100%)
}

.tabsBcItem:nth-child(1):nth-last-child(4).active~.tabItemBg {
  width: 33.333%;
  transform: translate(0)
}

.tabsBcItem:nth-child(2):nth-last-child(3).active~.tabItemBg {
  width: 33.333%
}

[dir=ltr] .tabsBcItem:nth-child(2):nth-last-child(3).active~.tabItemBg {
  transform: translate(100%)
}

[dir=rtl] .tabsBcItem:nth-child(2):nth-last-child(3).active~.tabItemBg {
  transform: translate(-100%)
}

.tabsBcItem:nth-child(3):nth-last-child(2).active~.tabItemBg {
  width: 33.333%
}

[dir=ltr] .tabsBcItem:nth-child(3):nth-last-child(2).active~.tabItemBg {
  transform: translate(200%)
}

[dir=rtl] .tabsBcItem:nth-child(3):nth-last-child(2).active~.tabItemBg {
  transform: translate(-200%)
}

.tabsBcItem:nth-child(1):nth-last-child(5).active~.tabItemBg {
  width: 25%;
  transform: translate(0)
}

.tabsBcItem:nth-child(2):nth-last-child(4).active~.tabItemBg {
  width: 25%
}

[dir=ltr] .tabsBcItem:nth-child(2):nth-last-child(4).active~.tabItemBg {
  transform: translate(100%)
}

[dir=rtl] .tabsBcItem:nth-child(2):nth-last-child(4).active~.tabItemBg {
  transform: translate(-100%)
}

.tabsBcItem:nth-child(3):nth-last-child(3).active~.tabItemBg {
  width: 25%
}

[dir=ltr] .tabsBcItem:nth-child(3):nth-last-child(3).active~.tabItemBg {
  transform: translate(200%)
}

[dir=rtl] .tabsBcItem:nth-child(3):nth-last-child(3).active~.tabItemBg {
  transform: translate(-200%)
}

.tabsBcItem:nth-child(4):nth-last-child(2).active~.tabItemBg {
  width: 25%
}

[dir=ltr] .tabsBcItem:nth-child(4):nth-last-child(2).active~.tabItemBg {
  transform: translate(300%)
}

[dir=rtl] .tabsBcItem:nth-child(4):nth-last-child(2).active~.tabItemBg {
  transform: translate(-300%)
}

.tabsBcItem:nth-child(1):nth-last-child(6).active~.tabItemBg {
  width: 20%;
  transform: translate(0)
}

.tabsBcItem:nth-child(2):nth-last-child(5).active~.tabItemBg {
  width: 20%
}

[dir=ltr] .tabsBcItem:nth-child(2):nth-last-child(5).active~.tabItemBg {
  transform: translate(100%)
}

[dir=rtl] .tabsBcItem:nth-child(2):nth-last-child(5).active~.tabItemBg {
  transform: translate(-100%)
}

.tabsBcItem:nth-child(3):nth-last-child(4).active~.tabItemBg {
  width: 20%
}

[dir=ltr] .tabsBcItem:nth-child(3):nth-last-child(4).active~.tabItemBg {
  transform: translate(200%)
}

[dir=rtl] .tabsBcItem:nth-child(3):nth-last-child(4).active~.tabItemBg {
  transform: translate(-200%)
}

.tabsBcItem:nth-child(4):nth-last-child(3).active~.tabItemBg {
  width: 20%
}

[dir=ltr] .tabsBcItem:nth-child(4):nth-last-child(3).active~.tabItemBg {
  transform: translate(300%)
}

[dir=rtl] .tabsBcItem:nth-child(4):nth-last-child(3).active~.tabItemBg {
  transform: translate(-300%)
}

.tabsBcItem:nth-child(5):nth-last-child(2).active~.tabItemBg {
  width: 20%
}

[dir=ltr] .tabsBcItem:nth-child(5):nth-last-child(2).active~.tabItemBg {
  transform: translate(400%)
}

[dir=rtl] .tabsBcItem:nth-child(5):nth-last-child(2).active~.tabItemBg {
  transform: translate(-400%)
}

.tabsBcItem:nth-child(1):nth-last-child(7).active~.tabItemBg {
  width: 16.666%
}

[dir=ltr] .tabsBcItem:nth-child(1):nth-last-child(7).active~.tabItemBg {
  transform: translate(0)
}

[dir=rtl] .tabsBcItem:nth-child(1):nth-last-child(7).active~.tabItemBg {
  transform: translate(0)
}

.tabsBcItem:nth-child(2):nth-last-child(6).active~.tabItemBg {
  width: 16.666%
}

[dir=ltr] .tabsBcItem:nth-child(2):nth-last-child(6).active~.tabItemBg {
  transform: translate(100%)
}

[dir=rtl] .tabsBcItem:nth-child(2):nth-last-child(6).active~.tabItemBg {
  transform: translate(-100%)
}

.tabsBcItem:nth-child(3):nth-last-child(5).active~.tabItemBg {
  width: 16.666%
}

[dir=ltr] .tabsBcItem:nth-child(3):nth-last-child(5).active~.tabItemBg {
  transform: translate(200%)
}

[dir=rtl] .tabsBcItem:nth-child(3):nth-last-child(5).active~.tabItemBg {
  transform: translate(-200%)
}

.tabsBcItem:nth-child(4):nth-last-child(4).active~.tabItemBg {
  width: 16.666%
}

[dir=ltr] .tabsBcItem:nth-child(4):nth-last-child(4).active~.tabItemBg {
  transform: translate(300%)
}

[dir=rtl] .tabsBcItem:nth-child(4):nth-last-child(4).active~.tabItemBg {
  transform: translate(-300%)
}

.tabsBcItem:nth-child(5):nth-last-child(3).active~.tabItemBg {
  width: 16.666%
}

[dir=ltr] .tabsBcItem:nth-child(5):nth-last-child(3).active~.tabItemBg {
  transform: translate(400%)
}

[dir=rtl] .tabsBcItem:nth-child(5):nth-last-child(3).active~.tabItemBg {
  transform: translate(-400%)
}

.tabsBcItem:nth-child(6):nth-last-child(2).active~.tabItemBg {
  width: 16.666%
}

[dir=ltr] .tabsBcItem:nth-child(6):nth-last-child(2).active~.tabItemBg {
  transform: translate(500%)
}

[dir=rtl] .tabsBcItem:nth-child(6):nth-last-child(2).active~.tabItemBg {
  transform: translate(-500%)
}

.tabsBcItemTxt {
  min-width: 0;
  font-size: 14px;
  line-height: 16px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  transition: color var(--default-transition-duration)
}